openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/TMW_GET_TARGET_SYSTEMS:
    post:
      tags:
      - TMW_TRACKING_6
      operationId: /rfc/TMW_GET_TARGET_SYSTEMS
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IV_CLIENT:
                  type: string
                  maxLength: 3
                IV_NO_CONSOLIDATION:
                  type: string
                  default: ' '
                  maxLength: 1
                IV_NO_DELIVERY:
                  type: string
                  default: ' '
                  maxLength: 1
                IV_SYSTEM:
                  type: string
                  maxLength: 8
                ET_TARGETS:
                  type: array
                  items:
                    type: object
                    properties:
                      LISTNAME:
                        type: string
                        maxLength: 10
                        description: 'TMS: System List'
                      SYSNAM:
                        type: string
                        maxLength: 10
                        description: 'TMS: System Name'
                      CLIENT:
                        type: string
                        maxLength: 3
                        description: 'TMS: Client'
                      SORT:
                        type: integer
                        format: int64
                        description: 'TMS: Sort Order'
                ET_TRANSLAYERS:
                  type: array
                  items:
                    type: object
                    properties:
                      SYSNAME:
                        type: string
                        maxLength: 10
                        description: Name of an SAP System in the (active) transp. configuration
                      CLIENT:
                        type: string
                        maxLength: 3
                        description: Client
                      TRANSLAYER:
                        type: string
                        maxLength: 4
                        description: Transport Layer in ABAP Workbench
                      CTEXT:
                        type: string
                        maxLength: 60
                        description: Explanatory short text
              required:
              - IV_CLIENT
              - IV_SYSTEM
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ET_TARGETS:
                    type: array
                    items:
                      type: object
                      properties:
                        LISTNAME:
                          type: string
                          maxLength: 10
                          description: 'TMS: System List'
                        SYSNAM:
                          type: string
                          maxLength: 10
                          description: 'TMS: System Name'
                        CLIENT:
                          type: string
                          maxLength: 3
                          description: 'TMS: Client'
                        SORT:
                          type: integer
                          format: int64
                          description: 'TMS: Sort Order'
                  ET_TRANSLAYERS:
                    type: array
                    items:
                      type: object
                      properties:
                        SYSNAME:
                          type: string
                          maxLength: 10
                          description: Name of an SAP System in the (active) transp. configuration
                        CLIENT:
                          type: string
                          maxLength: 3
                          description: Client
                        TRANSLAYER:
                          type: string
                          maxLength: 4
                          description: Transport Layer in ABAP Workbench
                        CTEXT:
                          type: string
                          maxLength: 60
                          description: Explanatory short text
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
